{
  "schema_version": "1.4.0",
  "id": "GHSA-mvqm-4f92-4qqc",
  "modified": "2022-05-02T03:25:43Z",
  "published": "2022-05-02T03:25:43Z",
  "aliases": [
    "CVE-2009-1492"
  ],
  "details": "The getAnnots Doc method in the JavaScript API in Adobe Reader and Acrobat 9.1, 8.1.4, 7.1.1, and earlier allows remote attackers to cause a denial of service (memory corruption) or execute arbitrary code via a PDF file that contains an annotation, and has an OpenAction entry with JavaScript code that calls this method with crafted integer arguments.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-1492"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/50145"
    },
    {
      "type": "WEB",
      "url": "https://www.exploit-db.com/exploits/8569"
    },
    {
      "type": "WEB",
      "url": "http://blogs.adobe.com/psirt/2009/04/potential_adobe_reader_issue.html"
    },
    {
      "type": "WEB",
      "url": "http://blogs.adobe.com/psirt/2009/04/update_on_adobe_reader_issue.html"
    },
    {
      "type": "WEB",
      "url": "http://blogs.adobe.com/psirt/2009/05/adobe_reader_issue_update.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2009-05/msg00001.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2009-06/msg00003.html"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/54130"
    },
    {
      "type": "WEB",
      "url": "http://packetstorm.linuxsecurity.com/0904-exploits/getannots.txt"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34924"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35055"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35096"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35152"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35358"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35416"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35734"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200907-06.xml"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-66-259028-1"
    },
    {
      "type": "WEB",
      "url": "http://support.nortel.com/go/main.jsp?cscat=BLTNDETAIL&id=926953"
    },
    {
      "type": "WEB",
      "url": "http://www.adobe.com/support/security/bulletins/apsb09-06.html"
    },
    {
      "type": "WEB",
      "url": "http://www.kb.cert.org/vuls/id/970180"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2009-0478.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/34736"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1022139"
    },
    {
      "type": "WEB",
      "url": "http://www.us-cert.gov/cas/techalerts/TA09-133B.html"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/1189"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/1317"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-04-30T20:30:00Z"
  }
}